const path = require('path');
const fs = require('fs');
const child = require('child_process');

// Constants
const PNP_FILENAME = '.pnp.js';
const PNP_PATH = path.resolve(__dirname, '..','..', PNP_FILENAME);

// Config
const cwd = path.resolve(process.cwd());

async function run(config, args = []) {
    //debug(`executing with cwd: ${cwd}`);
    console.log(PNP_PATH);
    
    //if (await fs.exists(pnpPath)) {
        args = ['-r', PNP_PATH, ...args];
    //}
    
    try {
        await child.spawn(process.execPath, args, {
            stdio: 'inherit',
            cwd,
        });
    } catch (err) {
        throw err;
    }
}

module.exports = {
    run
}